### Hierarchy

- Tab

### Implements

- OnInit

## Index

### Inputs

- active
- context
- disabled
- heading
- id
- tabIndex
- title
- cacheActive

### Outputs

- selected

### Properties

- _cacheActive
- active
- attrClass
- context
- disabled
- heading
- headingIsTemplate
- id
- selected
- tabIndex
- title

### Accessors

- cacheActive

### Methods

- doSelect
- ngOnInit
- shouldRender

## Properties

### Protected _cacheActive

_cacheActive: boolean = false

- Defined in src/tabs/tab.component.ts:132

### active

@Input()
active: boolean = false

- Defined in src/tabs/tab.component.ts:100

### attrClass

@HostBinding({"hostPropertyName":"attr.id"})
attrClass: string = this.id

- Defined in src/tabs/tab.component.ts:126

### context

@Input()
context: any

- Defined in src/tabs/tab.component.ts:95

### disabled

@Input()
disabled: boolean = false

- Defined in src/tabs/tab.component.ts:104

### heading

@Input()
heading: string | TemplateRef<any>

- Defined in src/tabs/tab.component.ts:84

### headingIsTemplate

headingIsTemplate: boolean = false

- Defined in src/tabs/tab.component.ts:79

### id

@Input()
id: string = `n-tab-${nextId++}`

- Defined in src/tabs/tab.component.ts:111

### selected

@Output()
selected: EventEmitter<void> = new EventEmitter<void>()

- Defined in src/tabs/tab.component.ts:121

### tabIndex

@Input()
tabIndex: number = 0

- Defined in src/tabs/tab.component.ts:106

### title

@Input()
title: string

- Defined in src/tabs/tab.component.ts:91

## Accessors

### cacheActive

@Input()
cacheActive:

- Defined in src/tabs/tab.component.ts:115
- Defined in src/tabs/tab.component.ts:128

## Methods

### doSelect

- doSelect(): void

- - Defined in src/tabs/tab.component.ts:147

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/tabs/tab.component.ts:138

  #### Returns void

### shouldRender

- shouldRender(): boolean

- - Defined in src/tabs/tab.component.ts:154

  #### Returns boolean

Generated using TypeDoc